Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.developmentontheedge.log
Class TextPaneAppender

    java.lang.Object
      |
      +--org.apache.log4j.AppenderSkeleton
            |
            +--com.developmentontheedge.log.TextPaneAppender

public class TextPaneAppender
extends AppenderSkeleton

Inner Class Summary
`public class` | TextPaneAppender.TracerPrintWriter

Constructor Summary
`TextPaneAppender(Layout layout, String name)`

Method Summary
`void` | `addToCategories(String[] categoryNames)`
`void` | `append(LoggingEvent event)`
`void` | `close()`
`JPanel` | `getLogTextPanel()`
`String[]` | `getOptionStrings()`
`void` | `removeFromCategories(String[] categoryNames)`
`boolean` | `requiresLayout()`
`void` | `setName(String name)`

Methods inherited from class org.apache.log4j.AppenderSkeleton
`activateOptions, addFilter, clearFilters, finalize, getErrorHandler, getFilter, getFirstFilter, getLayout, getName, getThreshold, isAsSevereAsThreshold, doAppend, setErrorHandler, setLayout, setThreshold`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextPaneAppender

    public TextPaneAppender(Layout layout, String name)

Method Detail

### addToCategories

    public void addToCategories(String[] categoryNames)

### append

    public void append(LoggingEvent event)

### close

    public void close()

### getLogTextPanel

    public JPanel getLogTextPanel()

### getOptionStrings

    public String[] getOptionStrings()

### removeFromCategories

    public void removeFromCategories(String[] categoryNames)

### requiresLayout

    public boolean requiresLayout()

### setName

    public void setName(String name)

Association Links

to Class com.developmentontheedge.log.TextPaneAppender.TracerPrintWriter

to Class java.io.StringWriter

to Class org.apache.log4j.helpers.QuietWriter

to Class com.developmentontheedge.log.LogTextPanel

to Class com.developmentontheedge.log.TextPaneAppender.LogPublishingThread

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM